/**
 */
package com.sifang.modules.flowpath.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;


import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 * 代理商审批信息Entity
 * @author lzp
 * @version 
 */
@Entity
@Table(name = "crm_supply_supplier_apply")
@Cache(usage = CacheConcurrencyStrategy.READ_WRITE)
public class SupplySupplierApply implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private String id; 		// 编号
	private String materialTypeId;
	private String name; 	// 名称
	private String loginName;
	private String password;
	private String contacts;
	private String province;
	private String city;
	private String area;
	private String address;
	private String mobile;
	private String actualContacts;
	private String telephone;
	private String actualIdCode;
	private String bankName;
	private String bankCode;
	private String taxNumber;
	private String certificationImg;
	private String licenseImg;
	private String idFrontImg;
	private String idOppositeImg;
	private String status;
	private String remarks;
	private String createBy;
	private String creator;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private String updater;
	private String processInstanceId;
	private String departmentId;
	private String departmentName;

	private String taskId;
	private String taskName;
	private String content;

	private String processDefId;

	private String supplierId;

	private String materialBrandId;


	private String operateUserIds;


	public String getOperateUserIds() {
		return operateUserIds;
	}

	public void setOperateUserIds(String operateUserIds) {
		this.operateUserIds = operateUserIds;
	}


	public String getMaterialBrandId() {
		return materialBrandId;
	}

	public void setMaterialBrandId(String materialBrandId) {
		this.materialBrandId = materialBrandId;
	}

	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public SupplySupplierApply() {
		super();
	}

	public SupplySupplierApply(String id){
		this();
		this.id = id;
	}

	public String getProcessDefId() {
		return processDefId;
	}

	public void setProcessDefId(String processDefId) {
		this.processDefId = processDefId;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	@Id
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getActualContacts() {
		return actualContacts;
	}

	public void setActualContacts(String actualContacts) {
		this.actualContacts = actualContacts;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getActualIdCode() {
		return actualIdCode;
	}

	public void setActualIdCode(String actualIdCode) {
		this.actualIdCode = actualIdCode;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankCode() {
		return bankCode;
	}

	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}

	public String getTaxNumber() {
		return taxNumber;
	}

	public void setTaxNumber(String taxNumber) {
		this.taxNumber = taxNumber;
	}

	public String getCertificationImg() {
		return certificationImg;
	}

	public void setCertificationImg(String certificationImg) {
		this.certificationImg = certificationImg;
	}

	public String getLicenseImg() {
		return licenseImg;
	}

	public void setLicenseImg(String licenseImg) {
		this.licenseImg = licenseImg;
	}

	public String getIdFrontImg() {
		return idFrontImg;
	}

	public void setIdFrontImg(String idFrontImg) {
		this.idFrontImg = idFrontImg;
	}

	public String getIdOppositeImg() {
		return idOppositeImg;
	}

	public void setIdOppositeImg(String idOppositeImg) {
		this.idOppositeImg = idOppositeImg;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(String updateBy) {
		this.updateBy = updateBy;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getUpdater() {
		return updater;
	}

	public void setUpdater(String updater) {
		this.updater = updater;
	}

	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public String getTaskName() {
		return taskName;
	}

	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getMaterialTypeId() {
		return materialTypeId;
	}

	public void setMaterialTypeId(String materialTypeId) {
		this.materialTypeId = materialTypeId;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (!(o instanceof SupplySupplierApply)) return false;
		SupplySupplierApply that = (SupplySupplierApply) o;
		return Objects.equals(name, that.name) && Objects.equals(contacts, that.contacts) && Objects.equals(province, that.province) && Objects.equals(city, that.city) && Objects.equals(area, that.area) && Objects.equals(address, that.address) && Objects.equals(mobile, that.mobile) && Objects.equals(actualContacts, that.actualContacts) && Objects.equals(telephone, that.telephone) && Objects.equals(bankName, that.bankName) && Objects.equals(bankCode, that.bankCode) && Objects.equals(taxNumber, that.taxNumber) && Objects.equals(licenseImg, that.licenseImg) && Objects.equals(idFrontImg, that.idFrontImg) && Objects.equals(idOppositeImg, that.idOppositeImg);
	}

	@Override
	public int hashCode() {
		return Objects.hash(name, contacts, province, city, area, address, mobile, actualContacts, telephone, bankName, bankCode, taxNumber, licenseImg, idFrontImg, idOppositeImg);
	}

}


